Package org.apache.storm.generated

## Enum TopologyInfo._Fields

- java.lang.Object
- - java.lang.Enum<TopologyInfo._Fields>
  - - org.apache.storm.generated.TopologyInfo._Fields

- All Implemented Interfaces:
    `Serializable`, `Comparable<TopologyInfo._Fields>`, `org.apache.storm.thrift.TFieldIdEnum`
  Enclosing class:
    TopologyInfo

      public static enum TopologyInfo._Fields
      extends Enum<TopologyInfo._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASSIGNED_CPU` |
    `ASSIGNED_MEMOFFHEAP` |
    `ASSIGNED_MEMONHEAP` |
    `COMPONENT_DEBUG` |
    `ERRORS` |
    `EXECUTORS` |
    `ID` |
    `NAME` |
    `OWNER` |
    `REPLICATION_COUNT` |
    `REQUESTED_CPU` |
    `REQUESTED_MEMOFFHEAP` |
    `REQUESTED_MEMONHEAP` |
    `SCHED_STATUS` |
    `STATUS` |
    `STORM_VERSION` |
    `UPTIME_SECS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TopologyInfo._Fields` | `findByName​(String name)` | Find the _Fields constant that matches name, or null if its not found.
    `static TopologyInfo._Fields` | `findByThriftId​(int fieldId)` | Find the _Fields constant that matches fieldId, or null if its not found.
    `static TopologyInfo._Fields` | `findByThriftIdOrThrow​(int fieldId)` | Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()` |
    `short` | `getThriftFieldId()` |
    `static TopologyInfo._Fields` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TopologyInfo._Fields[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final TopologyInfo._Fields ID

    - #### NAME

          public static final TopologyInfo._Fields NAME

    - #### UPTIME_SECS

          public static final TopologyInfo._Fields UPTIME_SECS

    - #### EXECUTORS

          public static final TopologyInfo._Fields EXECUTORS

    - #### STATUS

          public static final TopologyInfo._Fields STATUS

    - #### ERRORS

          public static final TopologyInfo._Fields ERRORS

    - #### COMPONENT_DEBUG

          public static final TopologyInfo._Fields COMPONENT_DEBUG

    - #### STORM_VERSION

          public static final TopologyInfo._Fields STORM_VERSION

    - #### SCHED_STATUS

          public static final TopologyInfo._Fields SCHED_STATUS

    - #### OWNER

          public static final TopologyInfo._Fields OWNER

    - #### REPLICATION_COUNT

          public static final TopologyInfo._Fields REPLICATION_COUNT

    - #### REQUESTED_MEMONHEAP

          public static final TopologyInfo._Fields REQUESTED_MEMONHEAP

    - #### REQUESTED_MEMOFFHEAP

          public static final TopologyInfo._Fields REQUESTED_MEMOFFHEAP

    - #### REQUESTED_CPU

          public static final TopologyInfo._Fields REQUESTED_CPU

    - #### ASSIGNED_MEMONHEAP

          public static final TopologyInfo._Fields ASSIGNED_MEMONHEAP

    - #### ASSIGNED_MEMOFFHEAP

          public static final TopologyInfo._Fields ASSIGNED_MEMOFFHEAP

    - #### ASSIGNED_CPU

          public static final TopologyInfo._Fields ASSIGNED_CPU

  - ### Method Detail

    - #### values

          public static TopologyInfo._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TopologyInfo._Fields c : TopologyInfo._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TopologyInfo._Fields valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TopologyInfo._Fields findByThriftId​(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TopologyInfo._Fields findByThriftIdOrThrow​(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TopologyInfo._Fields findByName​(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`